import java.util.List;
import java.util.Random;

public class GomokuAI{
    
    /**
    * This class is an extends of the class Player, this allows the GomokuAI to choose his move.
    */

    /** The random initialization */
    Random random = new Random();
    /** The difficulty of the GomokuAI */
    int difficulty = 0;

    //------------------Methods--------------------------
    /**
    * Return the coordinate of the move played by the Gomoku AI.
    * @param Board The actual Gomoku board.
    * @return The coordinate of the move played.
    */
    public Coordinate chooseMove(GomokuBoard board){
        
        
        int x=0,y=0;
        if(difficulty == 0)
        {
            int rand = random.nextInt(board.getPlayableCells().lenght());

        }
        

        System.out.println("L'IA à choisi : "+ x+", "+ y);

        
        return new Coordinate(x,y);
    }
}